disp('test001: Should return an empty model if input protimages is not a list');
protimages = '';
dnaimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
cellimages = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
masks = {'../../../images/HeLa/3D/raw/LAMP2/cell1_mask_t1.tif'};
param.train.flag = 'all';
model = ml_traingenmodel(protimages, dnaimages, cellimages, masks, param);
assert(isempty(model) || model == 0);

disp('Test passed.');